module ClientManagement
  class Engine < ::Rails::Engine
    initializer "client_management" do 
      OrbitApp.registration "client_management", :type => "ModuleApp" do
        module_label "client_management.client_management"
        base_url File.expand_path File.dirname(__FILE__)
        categorizable
        authorizable
        # frontend_enabled
        # data_count 1..30
        set_keyword_contstraints ["/cpanel/"]
        side_bar do
          head_label_i18n 'client_management.client_management', icon_class: "icons-users"
          available_for "users"
          active_for_controllers (['admin/client_managements'])
          head_link_path "admin_client_managements_path"

          context_link 'all',
                :link_path=>"admin_client_managements_path" ,
                :priority=>1,
                :active_for_action=>{'admin/client_managements'=>"index"},
                :available_for => 'users'

        end
      end
    end
  end
end
